Subject: Re: [PATCH] ipv6: do not add link-local address if one already exists

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Mon, 11 Aug 2014 09:27:50 +0900

Hello.

Roy Marples wrote:
> Hi
>
> Currently the kernel will always add an IPv6 link-local address
> based on the hardware address when the interface is brought up.
> This is probably based on the assumption that userland would
> never add one before the interface is brought up.
>
> However, one at least one userland application (dhcpcd) does this so
> it can implement RFC7217 which can be used for link-local addresses
> as well.
>
> Attached is a patch which checks to see if a link-local address exists
> before indiscriminately adding one.

Well, I think this is incomplete, for example, we will continue generating
global address from eui64.

I think we should implement such functionality through "if token" bits.

--yoshfuji